cordova-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Shazron Abdullah (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (CB-11927) Cannot install cordova on mac mini
Date Thu, 29 Sep 2016 18:38:20 GMT

    [ https://issues.apache.org/jira/browse/CB-11927?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=15533644#comment-15533644
] 

Shazron Abdullah commented on CB-11927:
---------------------------------------

Seems like your environment, and not cordova itself. The last lines of the log suggest it
can't find a file when trying to install a module. I'm sorry but you need to figure this out
yourself since it's your environment.

I suggest not installing or using node as sudo: http://www.nearform.com/nodecrunch/nodejs-sudo-free/
which may clear permissions issues (which this may be one).



> Cannot install cordova on mac mini
> ----------------------------------
>
>                 Key: CB-11927
>                 URL: https://issues.apache.org/jira/browse/CB-11927
>             Project: Apache Cordova
>          Issue Type: Bug
>          Components: CLI
>    Affects Versions: 3.5.0
>         Environment: osx el capitan
>            Reporter: Rudi Bloes
>              Labels: newbie
>         Attachments: npm-debug.log
>
>
> 2016s-Mac-mini:~ Thuis$ sudo npm install -g cordova
> npm WARN deprecated minimatch@2.0.10: Please update to minimatch 3.0.2 or higher to avoid
a RegExp DoS issue
> /usr/local/bin/cordova -> /usr/local/lib/node_modules/cordova/bin/cordova
> cordova@6.3.1 /usr/local/lib/node_modules/cordova
> ├── underscore@1.7.0
> ├── q@1.0.1
> ├── nopt@3.0.1 (abbrev@1.0.9)
> ├── update-notifier@0.5.0 (is-npm@1.0.0, semver-diff@2.1.0, string-length@1.0.1,
chalk@1.1.3, repeating@1.1.3, configstore@1.4.0, latest-version@1.0.1)
> ├── insight@0.8.3 (object-assign@4.1.0, async@1.5.2, tough-cookie@2.3.1, node-uuid@1.4.7,
lodash.debounce@3.1.1, chalk@1.1.3, os-name@1.0.3, configstore@1.4.0, request@2.75.0, inquirer@0.10.1)
> ├── cordova-common@1.4.1 (cordova-registry-mapper@1.1.15, unorm@1.4.1, underscore@1.8.3,
q@1.4.1, semver@5.3.0, ansi@0.3.1, osenv@0.1.3, bplist-parser@0.1.1, minimatch@3.0.3, glob@5.0.15,
shelljs@0.5.3, elementtree@0.1.6, plist@1.2.0)
> └── cordova-lib@6.3.1 (valid-identifier@0.0.1, opener@1.4.1, cordova-registry-mapper@1.1.15,
unorm@1.3.3, properties-parser@0.2.3, nopt@3.0.6, semver@4.3.6, dep-graph@1.1.0, shelljs@0.3.0,
glob@5.0.15, xcode@0.8.9, elementtree@0.1.6, request@2.47.0, cordova-serve@1.0.0, aliasify@1.9.0,
init-package-json@1.9.4, tar@1.0.2, cordova-fetch@1.0.1, cordova-app-hello-world@3.10.0, plist@1.2.0,
cordova-js@4.1.4, npm@2.15.11)



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

---------------------------------------------------------------------
To unsubscribe, e-mail: issues-unsubscribe@cordova.apache.org
For additional commands, e-mail: issues-help@cordova.apache.org


Mime
View raw message